import java.io.*;
import java.util.*;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;

import board.Board;
import board.BoardRec;

public class BoardServlet extends HttpServlet {
	
	public void doGet(HttpServletRequest req, HttpServletResponse res) 
	throws IOException, ServletException
	{
		doPost(req, res);
	}	
	
	public void doPost(HttpServletRequest req, HttpServletResponse res) 
	throws IOException, ServletException
	{
		/*
			ǿ  å ʿ
		*/
		HttpSession session = req.getSession();
		
		String command = req.getParameter("command");
		command = ( command == null ? "list" : command );
		String option = req.getParameter("option");
		option = ( option == null ? "view" : option );
		
		session.setAttribute("relay", "relay");
		String toPage = "/BoardList.jsp";
		if( command.equals("list") ) {
			list( req, res, session);
			toPage = "/BoardList.jsp";	
		} else if( command.equals("read") ) {
			read( req, res, session);
			toPage = "/BoardRead.jsp";
		} else if( command.equals("insert") ) {
			if( option.equals("view") ) {				
				toPage = "/BoardInsert.jsp";
			} else if( option.equals("action") ) {
				insert( req, res, session);
				toPage = "/BoardRead.jsp";
			}
		} else if( command.equals("update") ) {
			if( option.equals("view") ) {
				read(req, res, session);
				toPage = "/BoardUpdate.jsp";
			} else {
				update( req, res, session);
				toPage = "/BoardRead.jsp";
			}
		} else if( command.equals("delete") ) {
			delete( req, res, session);
			toPage = "/servlet/BoardServlet";
		}
		res.sendRedirect( toPage );
	}
	
	private void list(HttpServletRequest req, HttpServletResponse res, HttpSession session) 
	throws IOException, ServletException
	{
		String pageNo = req.getParameter("pageNo");
		pageNo = (pageNo == null ? "1" : pageNo );
		int number = Integer.parseInt( pageNo );
		int articlePerPage = 10;
		int start = (number-1)*articlePerPage+1;
		int end = start + articlePerPage;
		String searchWord = req.getParameter("searchWord");
		BoardRec [] records = Board.list( start , end, searchWord );
		int count = Board.getArticleLength(searchWord);
		session.setAttribute("recs", records);
		session.setAttribute("pageNo", pageNo);		
		session.setAttribute("count", count+"");
	}
	
	private void read(HttpServletRequest req, HttpServletResponse res, HttpSession session) 
	throws IOException, ServletException
	{
		String idTime  = req.getParameter("time");
		String email = req.getParameter("email");		
		BoardRec param = new BoardRec();		
		if( idTime == null ) {
			param = (BoardRec)session.getAttribute("rec");
		} else {
			param.setTime( idTime );
			param.setEmail( email );
		}
		
		BoardRec rec = Board.view( param );
		session.setAttribute("rec", rec );
	}
	
	private void insert(HttpServletRequest req, HttpServletResponse res, HttpSession session) 
	throws IOException, ServletException
	{
		BoardRec rec = new BoardRec();
		rec.setTitle( req.getParameter("title"));
		rec.setBody( req.getParameter("body"));
		rec.setWriter( req.getParameter("writer"));
		rec.setEmail( req.getParameter("email"));
		rec.setTime( System.currentTimeMillis()+"" );		
		Board.insert( rec );
		session.setAttribute("rec", rec );
	}
	
	private void update(HttpServletRequest req, HttpServletResponse res, HttpSession session) 
	throws IOException, ServletException
	{
		String idTime = req.getParameter("time");
		String email = req.getParameter("email");
		String body = req.getParameter("body");
		
		BoardRec rec = new BoardRec();
		rec.setTime( idTime );
		rec.setEmail( email);
		rec.setBody( body );
		Board.update( rec );
		read( req, res, session );
	}
	
	private void delete(HttpServletRequest req, HttpServletResponse res, HttpSession session) 
	throws IOException, ServletException
	{
		String idTime = req.getParameter("time");
		String email = req.getParameter("email");
		BoardRec rec = new BoardRec( );
		rec.setTime( idTime );
		rec.setEmail( email );		
		Board.delete(rec);
	}
}