<?xml version="1.0" encoding="euc-kr"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>

<xsl:template match="record">
    <html>
        <head>
            <title>̷¼</title>
            <style type="text/css">
                body { font-size: 9pt; line-height: 18pt }
                table { font-size: 9pt; line-height: 18pt; border-color: #000000 }
                td { font-size: 9pt; line-height: 18pt }
                .align { text-align: center }
                .title { background: #F8F3F4; color: #550000; font-weight: bolder }
                .head { font-size: 20pt; letter-spacing: 20pt }
            </style>
        </head>
        <body>
            <table width="600" border="1" cellpadding="1" cellspacing="0">
                <tr class="align">
                    <td colspan="6">
                        <br />
                        <p class="head"><b>  </b></p>
                        <hr width="300" style="line-height: -20pt" />
                        <br />
                    </td>
                </tr>
                <tr class="align">
                    <td rowspan="6" width="120">
                        <xsl:apply-templates select="photo" />
                    </td>
                    <td rowspan="3" class="title" width="60">
                        <xsl:text> </xsl:text>
                    </td>
                    <td colspan="2">
                        <xsl:apply-templates select="name/name_kor" />
                    </td>
                    <td colspan="3" class="title">
                        <xsl:text>ֹεϹȣ</xsl:text>
                    </td>
                </tr>
                <tr class="align">
                    <td colspan="2">
                        <xsl:apply-templates select="name/name_chi" />
                    </td>
                    <td colspan="2">
                        <xsl:apply-templates select="certificate" />
                    </td>
                </tr>
                <tr class="align">
                    <td colspan="2">
                        <xsl:apply-templates select="name/name_eng" />
                    </td>
                    <td class="title">
                        <xsl:text></xsl:text>
                    </td>
                    <td>
                        <xsl:apply-templates select="birth" />
                    </td>
                </tr>
                <tr class="align">
                    <xsl:apply-templates select="address" />
                </tr>
                <tr class="align">
                    <td rowspan="2" class="title">
                        <xsl:text>ó</xsl:text>
                    </td>
                    <td rowspan="2">
                        <xsl:apply-templates select="phone" />
                    </td>
                    <td class="title">
                        <xsl:text>Ȩ</xsl:text>
                    </td>
                    <td colspan="2">
                        <xsl:apply-templates select="homepage" />
                    </td>
                </tr>
                <tr class="align">
                    <td class="title">
                        <xsl:text>E-Mail</xsl:text>
                    </td>
                    <td colspan="2">
                        <xsl:apply-templates select="e-mail" />
                    </td>
                </tr>
                <xsl:apply-templates select="hooter" />
                <xsl:apply-templates select="school" />
                <xsl:apply-templates select="licence" />
                <xsl:apply-templates select="skill" />
                <xsl:apply-templates select="career" />
            </table>
        </body>
    </html>
</xsl:template>

<xsl:template match="photo">
    <img width="110" height="165">
        <xsl:attribute name="src">
            <xsl:value-of select="@source" />
        </xsl:attribute>
    </img>
</xsl:template>

<xsl:template match="name/name_kor">
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr class="align">
            <td width="60">
                <xsl:text>(ѱ)</xsl:text>
            </td>
            <td>
                <xsl:value-of select="." />
            </td>
        </tr>
    </table>
</xsl:template>

<xsl:template match="name/name_chi">
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr class="align">
            <td width="60">
                <xsl:text>(ѹ)</xsl:text>
            </td>
            <td>
                <xsl:value-of select="." />
            </td>
        </tr>
    </table>
</xsl:template>

<xsl:template match="name/name_eng">
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr class="align">
            <td width="60">
                <xsl:text>()</xsl:text>
            </td>
            <td>
                <xsl:value-of select="." />
            </td>
        </tr>
    </table>
</xsl:template>

<xsl:template match="certificate">
    <xsl:value-of select="certificate_front" />
    <xsl:text>-</xsl:text>
    <xsl:value-of select="certificate_back" />
</xsl:template>

<xsl:template match="birth">
    <xsl:value-of select="@year" />
    <xsl:text>. </xsl:text>
    <xsl:value-of select="@month" />
    <xsl:text>. </xsl:text>
    <xsl:value-of select="@day" />
</xsl:template>

<xsl:template match="address">
    <td class="title">
        <xsl:text>ּ</xsl:text>
    </td>
    <td colspan="2">
        <xsl:value-of select="." />
    </td>
    <td class="title">
        <xsl:text>ȣ</xsl:text>
    </td>
    <td>
        <xsl:value-of select="@zip" />
    </td>
</xsl:template>

<xsl:template match="phone">
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr class="align">
            <td>
                <xsl:text> : </xsl:text>
            </td>
            <td>
                <xsl:text>(</xsl:text>
                <xsl:value-of select="house_phone/@areacode" />
                <xsl:text>) </xsl:text>
                <xsl:value-of select="house_phone" />
            </td>
        </tr>
        <tr class="align">
            <td>
                <xsl:text>ڵ : </xsl:text>
            </td>
            <td>
                <xsl:value-of select="hand_phone" />
            </td>
        </tr>
    </table>
</xsl:template>

<xsl:template match="homepage">
    <xsl:if test="node()">
        <a>
            <xsl:attribute name="href">
                <xsl:text>http://</xsl:text>
                <xsl:value-of select="." />
            </xsl:attribute>
            <xsl:attribute name="target">
                <xsl:text>_blank</xsl:text>
            </xsl:attribute>
            <xsl:text>http://</xsl:text>
            <xsl:value-of select="." />
        </a>
    </xsl:if>
    <xsl:if test="not(node())">
        <xsl:text>-</xsl:text>
    </xsl:if>
</xsl:template>

<xsl:template match="e-mail">
    <a>
        <xsl:attribute name="href">
            <xsl:text>mailto:</xsl:text>
            <xsl:value-of select="." />
        </xsl:attribute>
        <xsl:value-of select="." />
    </a>
</xsl:template>

<xsl:template match="hooter">
    <tr class="align">
        <td class="title">
            <xsl:text>ȣ </xsl:text>
        </td>
        <td colspan="2">
            <xsl:value-of select="@relation" />
        </td>
        <td class="title">
            <xsl:text>ȣ </xsl:text>
        </td>
        <td colspan="2">
            <xsl:value-of select="." />
        </td>
    </tr>
</xsl:template>

<xsl:template match="school">
    <tr class="align">
        <td class="title">
            <xsl:text></xsl:text>
        </td>
        <td class="title" colspan="5">
            <xsl:text>   </xsl:text>
        </td>
    </tr>
    <xsl:for-each select="gradu">
        <tr class="align">
            <td>
                <xsl:value-of select="@year" />
                <xsl:text>. </xsl:text>
                <xsl:value-of select="@month" />
            </td>
            <td colspan="5">
                <xsl:value-of select="." />
            </td>
        </tr>
    </xsl:for-each>
</xsl:template>

<xsl:template match="licence">
    <tr class="align">
        <td class="title">
            <xsl:text></xsl:text>
        </td>
        <td class="title" colspan="3">
            <xsl:text> ڰ</xsl:text>
        </td>
        <td class="title" colspan="2">
            <xsl:text>ó</xsl:text>
        </td>
    </tr>
    <xsl:for-each select="have">
        <tr class="align">
            <td>
                <xsl:value-of select="@year" />
                <xsl:text>. </xsl:text>
                <xsl:value-of select="@month" />
            </td>
            <td colspan="3">
                <xsl:value-of select="." />
            </td>
            <td colspan="2">
                <xsl:value-of select="@publication" />
            </td>
        </tr>
    </xsl:for-each>
</xsl:template>

<xsl:template match="skill">
    <tr class="align">
        <td class="title">
            <xsl:text> </xsl:text>
        </td>
        <td class="title">
            <xsl:text>õ</xsl:text>
        </td>
        <td class="title" colspan="4">
            <xsl:text> </xsl:text>
        </td>
    </tr>
    <xsl:for-each select="ability">
        <xsl:sort select="technic/@master" order="ascending" />
        <xsl:sort select="technic" order="descending" />
        <tr class="align">
            <td>
                <xsl:value-of select="technic" />
            </td>
            <td>
                <xsl:choose>
                    <xsl:when test="technic/@master=1">
                        <xsl:text></xsl:text>
                    </xsl:when>
                    <xsl:when test="technic/@master=2">
                        <xsl:text>߻</xsl:text>
                    </xsl:when>
                    <xsl:when test="technic/@master=3">
                        <xsl:text>߱</xsl:text>
                    </xsl:when>
                    <xsl:when test="technic/@master=4">
                        <xsl:text>ϱ</xsl:text>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:text>ϱ</xsl:text>
                    </xsl:otherwise>
                </xsl:choose>
            </td>
            <td colspan="4">
                <xsl:for-each select="detail">
                    <xsl:value-of select="." /><br />
                </xsl:for-each>
            </td>
        </tr>
    </xsl:for-each>
</xsl:template>

<xsl:template match="career">
    <tr class="align">
        <td colspan="2" class="title">
            <xsl:text>ٹ Ⱓ</xsl:text>
        </td>
        <td colspan="4" class="title">
            <xsl:text> </xsl:text>
        </td>
    </tr>
    <xsl:for-each select="history">
        <tr>
            <td colspan="2" class="align">
                <xsl:value-of select="start_day/@year" />
                <xsl:text>. </xsl:text>
                <xsl:value-of select="start_day/@month" />
                <xsl:text> ~ </xsl:text>
                <xsl:if test="true()!=current()[end_day/@month]">
                    <xsl:text></xsl:text>
                </xsl:if>
                <xsl:value-of select="end_day/@year" />
                <xsl:text>. </xsl:text>
                <xsl:value-of select="end_day/@month" />
            </td>
            <td colspan="4">
                <p>
                    <xsl:text>* </xsl:text>
                    <u>
                        <xsl:value-of select="work" />
                    </u>
                </p>
                <xsl:choose>
                    <xsl:when test="detail">
                        <blockquote>
                            <xsl:text>-  </xsl:text><br />
                            <xsl:for-each select="detail">
                                <xsl:number count="detail"/>
                                <xsl:text>. </xsl:text>
                                <xsl:value-of select="." /><br />
                            </xsl:for-each>
                        </blockquote>
                    </xsl:when>
                    <xsl:otherwise>
                        <p>
                            <xsl:text> </xsl:text>
                        </p>
                    </xsl:otherwise>
                </xsl:choose>
            </td>
        </tr>
    </xsl:for-each>
</xsl:template>

</xsl:stylesheet>