import java.io.*;
import org.w3c.dom.*;
import org.apache.xerces.parsers.*;
import org.apache.xerces.dom.*;

public class MakeXMLDoc {

    public MakeXMLDoc() {
        try {
            Document doc = new DocumentImpl();
            Element root = doc.createElement("contact");
            Element addr = doc.createElement("address");
            addr.setAttribute("type", "");
            addr.appendChild(
                doc.createTextNode(" ۱ 󵵵"));
            root.appendChild(addr);
            Element zipcode = doc.createElement("zipcode");
            zipcode.setAttribute("type", "");
            zipcode.appendChild(doc.createTextNode("156-123"));
            root.appendChild(zipcode);
            Element name = doc.createElement("name");
            name.appendChild(doc.createTextNode("ȫ浿"));
            root.appendChild(name);

            doc.appendChild(root);

            print(doc);
        } catch(Exception e) {
            e.printStackTrace();
        }
    }

    public void print(Node node) {
        int type = node.getNodeType();
        switch(type) {
            case Node.DOCUMENT_NODE:
                System.out.print(
                    "<?xml version='1.0' encoding='EUC-KR' ?>");
                Document d = (Document)node;
                print(d.getDocumentElement());
                System.out.println();
                break;
            case Node.ELEMENT_NODE:
                System.out.print("<");
                System.out.print(node.getNodeName());

                NamedNodeMap attrs = node.getAttributes();
                int len = attrs.getLength();
                for(int i=0; i < len; i++) {
                    Node attr = attrs.item(i);
                    System.out.print("  ");
                    System.out.print(attr.getNodeName());
                    System.out.print("='" +
                        attr.getNodeValue()+"'");
                }
                System.out.println(">");

                NodeList children = node.getChildNodes();
                if(children != null) {
                    int n = children.getLength();
                    for(int i=0; i < n; i++) {
                        print(children.item(i));
                    }
                }
                break;
            case Node.ENTITY_REFERENCE_NODE:
                System.out.print("&" + node.getNodeName() + ";");
                break;
            case Node.CDATA_SECTION_NODE:
                System.out.print("<![CDATA[" +
                    node.getNodeValue() +"]]>");
                break;
            case Node.TEXT_NODE:
                System.out.print(node.getNodeValue());
                break;
            case Node.PROCESSING_INSTRUCTION_NODE:
                System.out.print("<?" + node.getNodeName());
                System.out.print("  " + node.getNodeValue());
                System.out.print("?>");
                break;
        }

        if(type == Node.ELEMENT_NODE) {
            System.out.println();
            System.out.println("</" + node.getNodeName() + ">");
        }
    }

    public static void main(String args[]) {
        new MakeXMLDoc();
    }
}

