import org.w3c.dom.*;
import org.apache.xerces.parsers.*;

public class PrintDom {
	Document doc;
	
	public PrintDom(String file) {
		try {
			DOMParser parser = new DOMParser();
			parser.parse(file);
			doc = parser.getDocument();
		} catch(Exception e) {
			e.printStackTrace();
		}
		
		if(doc != null) {
			print(doc);	
		}
	}
	
	public void print(Node node) {
		int type = node.getNodeType();
		switch(type) {
			case Node.DOCUMENT_NODE:
				System.out.println("DOC: " + node.getNodeName());
				Document d = (Document)node;
				print(d.getDocumentElement());
				break;
			case Node.ELEMENT_NODE:
				System.out.println("ELEMENT: " + node.getNodeName());
				// Ӽ ϱ
				NamedNodeMap attrs = node.getAttributes();
				int len = attrs.getLength();
				for(int i=0; i < len; i++) {
					print(attrs.item(i));
				}
				
				// ڽ  ϱ				
				NodeList children = node.getChildNodes();
				if(children != null) {
					int n = children.getLength();
					for(int i=0; i < n; i++) {
						print(children.item(i));	
					}
				}
				break;
			case Node.ENTITY_REFERENCE_NODE:
				System.out.println("ENTITY-REF: " + node.getNodeName());
				break;
			case Node.CDATA_SECTION_NODE:
				System.out.println("CDATA: " + node.getNodeValue());
				break;
			case Node.TEXT_NODE:
				System.out.println("TEXT: " + node.getNodeValue());
				break;
			case Node.PROCESSING_INSTRUCTION_NODE:
				System.out.print("PI: " + node.getNodeName());
				System.out.println("\t " + node.getNodeValue());
				break;
			case Node.ATTRIBUTE_NODE: 
				System.out.print("ATTRIBUTE: " + node.getNodeName());
				System.out.println(" = " + node.getNodeValue());
		}		
	}
	
	public static void main(String args[]) {
		if(args.length != 1) {
			System.out.println("usage: java  PrintDom  <xml-file>");
			System.exit(1);
		}
		
		PrintDom pd = new PrintDom(args[0]);
	}
}